Name:		libnk2
Version:	20170605
Release:	1%{?dist}
Summary:	Library to access the Nickfile (NK2) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libnk2/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libnk2 is a library to access the Nickfile (NK2) format

%package devel
Summary: Header files and libraries for developing applications for libnk2
Group: Development/Libraries
Requires: libnk2 = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libnk2.

%package tools
Summary: Several tools for reading Nickfiles (NK2)
Group: Applications/System
Requires: libnk2 = %{version}-%{release} 
 

%description tools
Several tools for reading Nickfiles (NK2)

%package python
Summary: Python 2 bindings for libnk2
Group: System Environment/Libraries
Requires: libnk2 = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python 2 bindings for libnk2

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libnk2
Group: System Environment/Libraries
Requires: libnk2 = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libnk2
%endif

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnk2.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/nk2export
%attr(755,root,root) %{_bindir}/nk2info
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Thu Jul  6 2017 Joachim Metz <joachim.metz@gmail.com> 20170605-1
- Auto-generated

